error compiling version 272 on linux

Linux geeks and Mac OS hipsters unite! A board for discussion of Supermodel on non-Windows platforms.
Forum rules
Keep it classy!

  • No ROM requests or links.
  • Do not ask to be a play tester.
  • Do not ask about release dates.
  • No drama!

error compiling version 272 on linux

Postby kamranijaz » Sat May 16, 2015 5:15 am

hi brat,

thanks for the update.

i am having problem compiling the source on ubuntu 14.10 as previous version 271 was compiled without any trouble but i am having the following error.

obj/m68kmake obj Src/CPU/68K/Musashi/m68k_in.c

Musashi v3.3 68000, 68008, 68010, 68EC020, 68020 emulator
Copyright 1998-2000 Karl Stenerud (karl@mame.net)

In Src/CPU/68K/Musashi/m68k_in.c, near or on line 2690:
Unknown M68KMAKE directive
Makefile:143: recipe for target 'obj/m68kops.h' failed
make: *** [obj/m68kops.h] Error 1


any help would be appriciated.

thanks
kamranijaz
 
Posts: 20
Joined: Thu Jan 05, 2012 10:31 am

Re: error compiling version 272 on linux

Postby Bart » Sun May 17, 2015 6:38 am

Strange -- nothing has changed in the procedure to build Musashi. Try "make clean" and attempt it again? Can you post a more detailed error output?
User avatar
Bart
Site Admin
 
Posts: 2038
Joined: Thu Sep 01, 2011 2:13 pm
Location: New York City

Re: error compiling version 272 on linux

Postby kamranijaz » Tue May 19, 2015 5:59 am

i have attached the full compile with it
Attachments
compile.doc.zip
(8.92 KiB) Downloaded 345 times
kamranijaz
 
Posts: 20
Joined: Thu Jan 05, 2012 10:31 am

Re: error compiling version 272 on linux

Postby Bart » Sun May 24, 2015 6:46 pm

Sorry for the delayed response. Could you attach a .txt file instead? I can't open the file as attached. Also, feel free to email me if that's more convenient.
User avatar
Bart
Site Admin
 
Posts: 2038
Joined: Thu Sep 01, 2011 2:13 pm
Location: New York City

Re: error compiling version 272 on linux

Postby kamranijaz » Mon May 25, 2015 2:06 am

hi

thanks for your reply.

could you please give me your email coz i cant attach any text or doc file directly they need to be in zip to attach.
kamranijaz
 
Posts: 20
Joined: Thu Jan 05, 2012 10:31 am

Re: error compiling version 272 on linux

Postby kamranijaz » Mon May 25, 2015 4:04 am

hi brat,


after some digging i found this solution for U.M.E but still bit over my head it might make some sense to you
----------------------------------------------------------------------------------
Hi,

I'm getting the following build error:
[...]
Generating M68K source files...
obj/sdl/build/m68kmake obj/sdl/emu/cpu/m68000 src/emu/cpu/m68000/m68k_in.c
In src/emu/cpu/m68000/m68k_in.c, near or on line 2718:
Unknown M68KMAKE directive [
INT32 ea = M68KMAKE_GET_EA_AY_8;]

Musashi v4.90 680x0, CPU32, and ColdFire emulator
Copyright Karl Stenerud and the MAME team.

src/emu/cpu/cpu.mak:1531: recipe for target 'obj/sdl/emu/cpu/m68000/m68kops.c' failed
make: *** [obj/sdl/emu/cpu/m68000/m68kops.c] Error 1
==> ERROR: A failure occurred in build().
Aborting...

From some searching, I found that this error message is a bit misleading: the problem isn't with compiler versions, etc. but with the fact that the file src/emu/cpu/m68000/m68k_in.c has DOS (CR/LF) line endings, and the program `m68kmake` doesn't know how to handle those when using Linux. See http://forums.bannister.org/ubbthreads. ... mber=92400 for details (search for comment #92806 by wallyweek).

It is easy to fix: convert the file src/emu/cpu/m68000/m68k_in.c to use Unix (LF only) line endings.
I wanted to make a patch file, but as I found it difficult to convince `diff` and `patch` to pick up the changed line endings, I've used the `dos2unix` binary to do the conversion.

Please see my updated PKGBUILD at: http://pastie.org/9280294
kamranijaz
 
Posts: 20
Joined: Thu Jan 05, 2012 10:31 am

Re: error compiling version 272 on linux

Postby Bart » Mon May 25, 2015 8:26 am

I'm surprised that gcc chokes on this. Good job identifying it! Is it only this single file affected? I suppose I could dos2unix all the files just to be safe and commit the change.
User avatar
Bart
Site Admin
 
Posts: 2038
Joined: Thu Sep 01, 2011 2:13 pm
Location: New York City

Re: error compiling version 272 on linux

Postby sergio-br2 » Wed May 27, 2015 9:14 pm

kamranijaz, thanks for the tip. It worked too in mame 0.139 (libretro) :)
sergio-br2
 
Posts: 22
Joined: Wed May 27, 2015 7:14 pm

Re: error compiling version 272 on linux

Postby kamranijaz » Fri May 29, 2015 12:04 pm

hi brat

so far my research for this error shows only this file. but i am happy i could find this fix though its been done by someone else. :oops:

i hope you change the git files soon.

many thanks
kamranijaz
 
Posts: 20
Joined: Thu Jan 05, 2012 10:31 am

Re: error compiling version 272 on linux

Postby Bart » Fri May 29, 2015 3:09 pm

kamranijaz wrote:hi brat

so far my research for this error shows only this file. but i am happy i could find this fix though its been done by someone else. :oops:

i hope you change the git files soon.

many thanks


You do realize my name is Bart not "brat", right? ;)
User avatar
Bart
Site Admin
 
Posts: 2038
Joined: Thu Sep 01, 2011 2:13 pm
Location: New York City

Next

Return to Alternative Fashion

Who is online

Users browsing this forum: No registered users and 1 guest